Package org.eclipse.cdt.core.settings.model.extension

## Class CFolderData

- java.lang.Object
- - org.eclipse.cdt.core.settings.model.extension.CDataObject
  - - org.eclipse.cdt.core.settings.model.extension.CResourceData
    - - org.eclipse.cdt.core.settings.model.extension.CFolderData

All Implemented Interfaces:
  `ICSettingBase`

Direct Known Subclasses:
  `CDefaultFolderData`

    public abstract class CFolderData
    extends CResourceData

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICSettingBase

`SETTING_BUILD, SETTING_CONFIGURATION, SETTING_FILE, SETTING_FOLDER, SETTING_LANGUAGE, SETTING_PROJECT, SETTING_TARGET_PLATFORM`

### Constructor Summary

Constructors
`protected` `CFolderData()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract CLanguageData` `createLanguageDataForContentTypes​(String languageId, String[] cTypesIds)`
`abstract CLanguageData` `createLanguageDataForExtensions​(String languageId, String[] extensions)`
`abstract CLanguageData[]` `getLanguageDatas()`
`int` `getType()`

### Methods inherited from class org.eclipse.cdt.core.settings.model.extension.CResourceData

`getPath, hasCustomSettings, setPath, toString`

### Methods inherited from class org.eclipse.cdt.core.settings.model.extension.CDataObject

`getId, getName, isValid`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CFolderData

    protected CFolderData()

### Method Detail

#### getType

    public final int getType()

Specified by:
  `getType` in class `CDataObject`

#### getLanguageDatas

    public abstract CLanguageData[] getLanguageDatas()

#### createLanguageDataForContentTypes

    public abstract CLanguageData createLanguageDataForContentTypes​(String languageId,
                                                                    String[] cTypesIds)

#### createLanguageDataForExtensions

    public abstract CLanguageData createLanguageDataForExtensions​(String languageId,
                                                                  String[] extensions)